/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #F5F5F5;
  height: 100vh;
  font-family: "Figtree", sans-serif;
  font-weight: 400;
}
.container {
  padding: 32px 20px;
  height: 100%;
  display: flex;
  flex-direction: column;
    align-items: center;
    
}
.login-container{
  justify-content: center;
}
h1{
  font-size: 16px;
  font-weight: 700;
  color: #00214D;
}
h2 {
  margin-bottom: 16px;
  color: #00214D;
}

.checkin-box {
  text-align: center;
  margin-top: 44px;
  margin-bottom: 44px;
}

#checkin-button {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  
  background: #425BFC;
  transition: background 0.3s ease;
}

#checkin-button:disabled {
  background: #D3D8DD;
  cursor: not-allowed;
}

.message {
  margin-top: 32px;
  color: #16B65E;
font-size: 16px;
font-style: normal;
font-weight: 600;
line-height: normal;
}

.history-box {
  width: 100%;
  display: flex;
  flex-direction: column;
}
.small-heading{
  font-size: 12px;
  font-weight: 700;
  text-transform: uppercase;
  margin-bottom: 8px;
  color: #686E75;
}
.history-box .small-heading{
  margin-bottom: 16px;
}
ul {
  list-style: none;
  padding-left: 0;
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-bottom: 16px;
}

ul li {
  border-radius: 8px;
  background: #FFFFFE;
  margin: 0;
  display: flex;
  gap: 12px;
  padding: 12px;
  align-items: center;
  align-self: stretch;
  color: #00214D;
  text-align: center;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
ul li .checkin-info{
  width: 100%;
}
ul li div{
  text-align: left;
}
ul li .checkin-info .date{
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 1px;
}
ul li .sub-text span{
  font-size: 12px;
  color: #686E75;
  font-weight: 500;
}
ul li .sub-text .divider{
  background-color: #686E75;
  display: inline-block;
  width: 4px;
  height: 4px;
  border-radius: 50%;
  margin: 0 2px;
  vertical-align: middle;
}
/* Drawer styles */
.drawer {
  position: fixed;
  bottom: -100%;
  left: 0;
  right: 0;
  background: white;
  height: 92vh;
  border-radius: 16px 16px 0 0;
  box-shadow: 0 -4px 20px rgba(0, 0, 0, 0.2);
  transition: bottom 0.3s ease-in-out;
  z-index: 1001;
  overflow-y: auto;
}
#open-drawer-link{
  display: flex;
padding: 12px 20px;
justify-content: center;
align-items: center;
border-radius: 4px;
background: #414DCA;
color: #FFF;
text-align: center;
font-size: 16px;
font-style: normal;
font-weight: 700;
line-height: normal;
text-decoration: none;
margin-top: 24px;
}
.drawer.open {
  bottom: 0;
}

.drawer-content {
	padding: 24px 0 24px 0;
  height: 100%;
}
h3{
  color: #00214D;
text-align: center;
font-family: Figtree;
font-size: 16px;
font-style: normal;
font-weight: 700;
line-height: normal;
}
.drawer-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 4px;
	padding-left: 20px;
	padding-right: 8px;
	gap: 8px;
}

#close-drawer-btn {
  background: none;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
}

#drawer-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  z-index: 1000;
}

#drawer-overlay.active {
  display: block;
}

/* Accordion Styles */
#accordion-container{
  width: 100%;
}
.accordion {
	cursor: pointer;
	width: 100%;
	text-align: left;
	font-size: 14px;
	background: transparent;
	color: #00214D;
	font-style: normal;
	font-weight: 600;
	line-height: normal;
	border: 0;
  margin-bottom: 12px;
  position: relative;
}
.accordion::after {
	content: url('images/icon-chevron.svg');
	position: absolute;
	right: 0;
	margin: auto;
  height: 20px;
  width: 20px;
  transition: all .3s ease-out;
}
.accordion.active::after{
  transform: rotate(-180deg);
}
/* .accordion:hover {
	background-color: #F2F4F6;
}

.accordion.active {
	background-color: #F2F4F6;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
} */

.panel {
  padding: 0;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  
}

 .panel ul {
  margin-bottom: 20px;
}
/*
.panel ul li {
	margin: 0;
	border-radius: 0;
	display: flex;
	padding: 12px 20px;
	justify-content: center;
	align-items: center;
	align-self: stretch;
	border-bottom: 1px solid #E2E8EE;
	color: #1B2D45;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
	background-color: transparent;
}
.panel ul li:last-child{
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
} */
/* BUtton */


.my-super-cool-btn {
  position: relative;
  text-decoration: none;
}
.my-super-cool-btn:disabled > span .checkin-img{
  display: none;
}
.my-super-cool-btn:disabled > span .checkedin-img{
  display: block;
}
.my-super-cool-btn > span .checkin-img{
  display: block;
}
.my-super-cool-btn > span .checkedin-img{
  display: none;
}
.my-super-cool-btn span {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 150px;
  height: 150px;
}

.my-super-cool-btn span:before {
  content: '';
  width: calc(100% + 16px);
  height: calc(100% + 16px);
  position: absolute;
  border-radius: 100%;
  border: 2px solid #425BFC;
  transition: all .85s cubic-bezier(0.25, 1, 0.33, 1);
  /* box-shadow: 0 30px 85px rgba(0, 0, 0, 0.14), 0 15px 35px rgba(0, 0, 0, 0.14); */
}
.my-super-cool-btn:disabled span:before{
  display: none;
}
.my-super-cool-btn.clicked span:before {
  transform: scale(0.8);
  /* box-shadow: 0 20px 55px rgba(0, 0, 0, 0.14); */
}

.dots-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.dot {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 0px;
  height: 0px;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 50%;
  transform: translate(-50%, -50%) scale(0);
  opacity: 0;
}

.my-super-cool-btn.clicked .dot {
  animation: circleWave 0.6s ease-out forwards;
}

@keyframes circleWave {
  0% {
    width: 0;
    height: 0;
    opacity: 0.7;
    transform: translate(-50%, -50%) scale(0);
  }
  100% {
    width: 200px;
    height: 200px;
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
  }
}

/* New updates */
#login-heading, #checkin-heading {
  font-weight: 500;
  display: block;
  font-size: 16px;
  margin-bottom: 8px;
  text-transform: capitalize;
  text-align: center;
}
#checkin-heading{
  font-weight: 700;
  text-align: left;
  margin-bottom: 2px;
}
.login-heading {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 32px;
}
.pac-container{
  z-index: 100000 !important;
}

#login-form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.checkin-app-icon{
  margin-bottom: 24px;
}
#login-form label{
  font-size: 12px;
  font-weight: 700;
  text-transform: uppercase;
  margin-bottom: 8px;
  color: #686E75;
}
form{
  width: 100%;
}
.form-group.location-input-outside input{
  padding-right: 32px;
}
.form-group.location-input-map{
  height: 100%;
}
.form-group.location-input-header .remove-text{
  padding: 8px;
  background-color: #fff;
}
.form-group.location-input-header{
  width: 100%;
}
.form-group.location-input-header > div{
  width: 100%;
  margin-bottom: 8px;
}
.form-group.location-input-map input{
  margin-bottom: 16px;
}
.form-group.location-input-map #map{
  height: 100%;
}
.form-group.location-input-outside{
  position: relative;
}
.form-group.location-input-outside::after {
	content: url('images/map-pin-placeholder.svg');
	position: absolute;
	top: 50%;
	right: 8px;
}
/* .form-group.location-input-outside > div > span{
  display: none !important;
} */
.form-group label{
  display: block;
}
.form-group input{
  width: 100%;
  border-radius: 8px;
border: 1px solid #E1E1E1;
background: #FFFFFE;
padding: 12px;
font-size: 14px;
}
.asterisk{
  display: none;
  color: #FF7C7E;
}
.main-btn{
  border-radius: 8px;
  background-color: #425BFC;
  border: 1px solid #425BFC;
  display: flex;
  padding: 12px 20px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  font-size: 14px;
font-style: normal;
font-weight: 700;
line-height: normal;
text-transform: uppercase;
text-decoration: none;
color: #fff;
}
.main-link {
	font-size: 14px;
	font-style: normal;
	font-weight: 700;
	line-height: normal;
	text-decoration: none;
	color: #425BFC;
	display: flex;
	align-items: center;
	justify-content: center;
  padding: 12px 20px;
}
.main-link > img{
  margin-right: 4px;
}
#add-location-btn {
	position: absolute;
	left: 20px;
	bottom: 30px;
	width: calc(70% - 40px);
	right: 20px;
	margin: auto;
}
button:disabled{
    background-color: #E6E6E6;
    border-color: #E6E6E6;
  cursor: not-allowed;
}

.checkin-header {
	width: 100%;
	display: flex;
	align-items: center;
margin-bottom: 24px;

}
.checkin-header .head-col {
	width: 100%;
  
}
.checkin-header .head-col .today {
  font-size: 14px;
font-style: normal;
font-weight: 500;
  margin-bottom: 0;
  color: #686E75;
}
.icon-btn {
	background: none;
	border: 0;
	height: 34px;
	width: 34px;
	display: flex;
	align-items: center;
	justify-content: center;
  cursor: pointer;
}

#go-back{
  margin-right: 8px;
}
.empty-history{
  font-size: 14px;
}
.empty-history span{
  display: block;
  margin-bottom: 8px;
}
html[data-page="all-checkins"] .empty-history {
	height: 80vh;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

/* Responsive Design */
@media (min-width: 812px) {
  .container{
    max-width: 456px;
    margin: 0 auto;
  }
}
